<%@ Page Language="vb" AutoEventWireup="false" CodeFile="DNNTree.aspx.vb" Inherits="DNNTree" MasterPageFile="~/MasterPage.master"%>
<%@ Register TagPrefix="DNN" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke.WebControls" %>
<asp:content id="header" contentplaceholderid="HeaderPlaceHolder" runat="Server">
		<LINK href="DNNTree.css" type="text/css" rel="stylesheet"></link>
		<script language="javascript" src="js/common.js"></script>
        <script language="javascript">
            var m_sNS = '<%=txtStatus.NamingContainer.ClientID%>';
        </script>
</asp:content>
<asp:content id="Content1" contentplaceholderid="ContentPlaceHolder1" runat="Server">
			<table class="sectiontable">
				<TBODY>
					<tr>
						<th>
							DNNTree</th>
						<th>
							Details</th>
					</tr>
					<tr>
						<td valign="top" class="treecontainer" nowrap>
							<div style="OVERFLOW:auto; WIDTH:250px; HEIGHT:600px">
								<DNN:DNNTree id="MyDNNTree" runat="server" CallbackStatusFunction="callbackStatus" TreeScriptPath="js/"
									DefaultNodeCssClassSelected="SelClass" ExpandedNodeImage="Images/ElementMinus.jpg" CollapsedNodeImage="Images/ElementPlus.jpg"
									DefaultNodeCssClassOver="HoverClass" DefaultNodeCssClass="NodeDefault" DefaultChildNodeCssClass="ChildNodeDefault"
									DefaultIconCssClass="NodeIconDefault" IndentWidth="100" ExpandCollapseImageWidth="9"></DNN:DNNTree>
							</div>
						</td>
						<td valign="top">
							<table class="sectiontable">
								<tr>
									<td>
										<asp:label id="lblEventDetails" runat="server" Height="200px" Width="100%" BorderWidth="1px"
											BorderStyle="Solid"></asp:label>
									</td>
								</tr>
								<tr>
									<th>
										Settings</th>
								</tr>
								<tr>
									<td>
										<table class="sectiontable" width="100%">
											<tr>
												<td>
													Folder:
													<asp:TextBox id="txtDir" runat="server" width="300px"></asp:TextBox></td>
												<td nowrap>
													<asp:checkbox id="chkCheckboxes" runat="server" AutoPostBack="True" Text="Checkboxes"></asp:checkbox><br>
													<asp:DropDownList ID="ddlCheckBoxMode" runat="server" AutoPostBack="true" Visible="false">
													    <asp:ListItem Value="0" Text="MultiSelect" />
													    <asp:ListItem Value="1" Text="MultiSelectChildren" />
													    <asp:ListItem Value="2" Text="SingleSelect" />
													</asp:DropDownList>
												</td>
											</tr>
											<tr>
												<td>
													IndentWidth:
													<asp:TextBox id="txtIndent" runat="server" width="3em" text="20" AutoPostBack="True">20</asp:TextBox></td>
												<td nowrap><asp:checkbox id="chkPopulateFromClient" runat="server" AutoPostBack="True" Text="Populate From Client"
														Checked="True"></asp:checkbox></td>
											</tr>
											<tr>
												<td>
													AnimationFrames:
													<asp:TextBox id="txtAnimationFrames" runat="server" width="3em" text="5" AutoPostBack="True">5</asp:TextBox></td>
												<td nowrap><asp:checkbox id="chkForceDownLevel" runat="server" AutoPostBack="True" Text="Force Downlevel"></asp:checkbox></td>
											</tr>
											<tr>
												<td><asp:Button id="btnPostBack" runat="server" Text="Do PostBack"></asp:Button></td>
												<td nowrap><asp:checkbox id="chkIsCrawler" runat="server" AutoPostBack="True" Text="IsCrawler"></asp:checkbox></td>
											</tr>
											<tr>
												<td></td>
											</tr>
										</table>
									</td>
								</tr>
								<tr>
									<th>
										Status</th>
								</tr>
								<tr>
									<td>
										<textarea id="txtStatus" runat="server" rows="10" cols="70" NAME="txtStatus"></textarea>
									</td>
								</tr>
							</table>
							<iframe id="MyTarget" name="MyTarget" width="100%"></iframe>
						</td>
					</tr>
				</TBODY>
			</table>
</asp:content>
