Public Class TabStripAlignment
    Inherits System.Web.UI.Page

    Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.MyDNNTabStrip.TabAlignment = System.Enum.Parse(GetType(DotNetNuke.UI.WebControls.Alignment), ddlTabAlignment.SelectedValue)

        Me.MyDNNTabStrip.DefaultLabel.CssClass = "tablabel"
        Me.MyDNNTabStrip.CssContentContainer = ""
        Me.MyDNNTabStrip.CssTabContainer = ""
        Me.MyDNNTabStrip.DefaultLabel.CssClassHover = "tablabel tablabelhover"
        Me.MyDNNTabStrip.DefaultLabel.CssClassSelected = "tablabel tablabelselected"
        Select Case Me.MyDNNTabStrip.TabAlignment
            Case DotNetNuke.UI.WebControls.Alignment.Top
            Case DotNetNuke.UI.WebControls.Alignment.Bottom
            Case DotNetNuke.UI.WebControls.Alignment.Left, DotNetNuke.UI.WebControls.Alignment.Right
                Me.MyDNNTabStrip.DefaultLabel.CssClass &= " tablabel_v"
                Me.MyDNNTabStrip.DefaultLabel.CssClassHover &= " tablabel_v"
                Me.MyDNNTabStrip.DefaultLabel.CssClassSelected &= " tablabel_v"
                Me.MyDNNTabStrip.CssTabContainer &= " tablabelcontainer_v"
                Me.MyDNNTabStrip.CssContentContainer &= " tabcontentcontainer_v"

        End Select
    End Sub

End Class
