<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke.WebControls" %>
<%@ Page Language="vb" AutoEventWireup="false" CodeFile="TabStripChildControls.aspx.vb" Inherits="TabStripChildControls" MasterPageFile="~/MasterPage.master" EnableEventValidation="false"%>
<%@ Register TagPrefix="code" TagName="view" Src="..\usercontrols\codeview.ascx" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <link href="TabStripChildControls.aspx.css" type="text/css" rel="stylesheet" />
    <p class="sampledescription">
        This sample demonstrates how the tabstrip can function utilizing a TabRenderMode="Callback"
        and a CallBackType="ProcessPage". The functionality here is similar to that of the
        UpdatePanel. Keep in mind that this means it has some of the <a href="http://www.dotnetnuke.com/LinkClick.aspx?fileticket=TnzfKgH4rts%3d&amp;tabid=874&amp;mid=2653">
            negative performance impacts</a> of the UpdatePanel. Each tab contains child
        controls, that are themselves in need of script registration and initialization.
        The tabstrip control handles most of this functionality for you. Please note that
        there will still be things that do not work. See <a href="http://www.dotnetnuke.com/Community/BlogsDotNetNuke/tabid/825/EntryID/1273/Default.aspx">
            this blog</a> for more info.
    </p>
    <asp:Label ID="lblTime" runat="server"></asp:Label>
    <table height="280" cellspacing="0" cellpadding="0" width="518" border="0">
        <tr valign="top">
            <td>
                <dnn:DNNTabStrip ID="MyDNNTabStrip" runat="server" DefaultContainerCssClass="tabcontainer"
                    DefaultLabel-CssClassHover="tablabelhover" DefaultLabel-CssClassSelected="tablabelselected"
                    DefaultLabel-CssClass="tablabel" TabStripScriptPath="../js/" SelectedIndex="0"
                    TabRenderMode="Callback" CallBackType="ProcessPage" DefaultLabel-ImageUrl="../images/icon_arrow_right.gif"
                    WorkImage="../images/progress_spinning.gif">
                    <dnn:DNNTab Label-Text="Tab1" ID="tab1" runat="server">
                        Sample data.
                        <dnn:DNNLabelEdit runat="server" ClientAPIScriptPath="" LabelEditScriptPath="../js/"
                            CallBackType="ProcessPage" ID="Dnnlabeledit1">
								Edit This Text
                        </dnn:DNNLabelEdit>
                    </dnn:DNNTab>
                    <dnn:DNNTab Label-Text="LabelEdit" ID="tabLabelEdit" Style="display: none;" runat="server">
                        <dnn:DNNLabelEdit runat="server" ClientAPIScriptPath="" LabelEditScriptPath="../js/"
                            CallBackType="ProcessPage" ID="MyDNNLabelEdit">
								Edit This Text
                        </dnn:DNNLabelEdit>
                    </dnn:DNNTab>
                    <dnn:DNNTab Label-Text="TabStrip" ID="tabTabStrip" Style="display: none;" runat="server">
                        <dnn:DNNLabelEdit runat="server" ClientAPIScriptPath="" LabelEditScriptPath="../js/"
                            CallBackType="ProcessPage" ID="Dnnlabeledit2">
								Edit This Text
                        </dnn:DNNLabelEdit>
                        <dnn:DNNTabStrip runat="server" DefaultContainerCssClass="tabcontainer" DefaultLabel-CssClass="tablabel"
                            DefaultLabel-CssClassHover="tablabelhover" DefaultLabel-CssClassSelected="tablabelselected"
                            TabStripScriptPath="../js/" ClientAPIScriptPath="" CssTabContainer="" TabAlignment="Top"
                            CallBackType="Simple" WorkImage="../images/progress_spinning.gif" ID="Dnntabstrip1"
                            CssContentContainer="">
                            <dnn:DNNTab Label-Text="Tab 1" ID="tab11" runat="server">
                                Inner TabStrip - Sample data 1.
                            </dnn:DNNTab>
                            <dnn:DNNTab Label-Text="Tab 2" ID="tab12" runat="server">
                                <p style="color: green;">
                                    Inner TabStrip - Sample data retrieved from callback!
                                </p>
                            </dnn:DNNTab>
                        </dnn:DNNTabStrip>
                    </dnn:DNNTab>
                    <dnn:DNNTab Label-Text="DropDownLists" ID="tabDropDownLists" CallBackType="ProcessPage" runat="server">
                        <asp:DropDownList ID="ddlStatic" runat="server" EnableViewState="False">
                            <asp:ListItem Value="Static1Value">Static1Text</asp:ListItem>
                            <asp:ListItem Value="Static2Value">Static2Text</asp:ListItem>
                        </asp:DropDownList>
                        <asp:DropDownList ID="ddlDynamic1" runat="server" EnableViewState="False">
                        </asp:DropDownList>
                        <asp:Button runat="server" ID="btnDDLSave" Text="Save"></asp:Button>
                        <br />
                        <asp:TextBox ID="txtDropDowns" runat="server" TextMode="MultiLine" Rows="3" Columns="50" />
                    </dnn:DNNTab>
                    <dnn:DNNTab Label-Text="Validators" ID="tabValidators" runat="server">
                        <asp:Label runat="server" ID="lblRequired">Required Text: </asp:Label>
                        <asp:TextBox runat="server" ID="txtRequired"></asp:TextBox>
                        <asp:RequiredFieldValidator runat="server" ControlToValidate="txtRequired" ErrorMessage="RequiredFieldValidator"
                            ID="RequiredFieldValidator1" Visible="True"></asp:RequiredFieldValidator>
                        <asp:Button runat="server" ID="btnValidatorPostBack" Text="Do PostBack"></asp:Button>
                    </dnn:DNNTab>
                </dnn:DNNTabStrip>
                Clicking PostBack Generates error on .NET 1.x if validator not shown.
                <asp:Button runat="server" ID="btnPostBack" Text="Do PostBack"></asp:Button><br>
                See <a href="http://www.dotnetnuke.com/Community/BlogsDotNetNuke/tabid/825/EntryID/1273/Default.aspx">
                    this blog</a> for more info.
                <br>
                <br>
                <code:view ID="cv" runat="server" ImageUrl="~/images/icon_html.gif`~/images/icon_css.gif`~/images/icon_html.gif"
                    CodeFile="~/Samples/TabStripChildControls/htm.htm`~/Samples/TabStripChildControls/css.htm`~/Samples/TabStripChildControls/vb.htm"
                    ToolTip="Markup`CSS`VB" />
            </td>
        </tr>
    </table>
</asp:Content>
