<%@ Page Language="vb" AutoEventWireup="false" CodeFile="TemplatedControls.aspx.vb" Inherits="TemplatedControls" MasterPageFile="~/MasterPage.master" %>
<%@ Register TagPrefix="DNN" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke.WebControls" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <link href="TemplatedControls.aspx.css" type="text/css" rel="stylesheet" />
    <table border="2">
        <tr>
            <td>
                Text</td>
            <td>
                LabelEdit</td>
            <td>
                TextSuggest (Type N)</td>
        </tr>
        <asp:Repeater ID="Repeater1" runat="server">
            <ItemTemplate>
                <tr>
                    <td>
                        <asp:Label ID="lblTest1" runat="server">
									<%#DataBinder.Eval(Container, "DataItem")%>
                        </asp:Label>
                    </td>
                    <td>
                        <DNN:DNNLabelEdit ID="MyDNNLabelEdit" runat="server" LabelEditScriptPath="../js/"
                            CallBackType="ProcessPage" CssClass="LabelEditClass" LabelEditCssClass="LabelEditTextClass"
                            WorkCssClass="LabelEditWorkClass" MouseOverCssClass="LabelEditOverClass">Edit This Text</DNN:DNNLabelEdit>
                    </td>
                    <td>
                        <DNN:DNNTextSuggest ID="MyDNNTextSuggest" runat="server" TextSuggestScriptPath="../js/"
                            CallBackType="ProcessPage" DefaultNodeCssClass="SuggestNode" DefaultNodeCssClassOver="SuggestNodeOver"
                            TextSuggestCssClass="SuggestDropDown"></DNN:DNNTextSuggest>
                    </td>
                </tr>
            </ItemTemplate>
        </asp:Repeater>
    </table>
    <p class="sampledescription">
        This sample demonstrates that the DNNLabelEdit and DNNTextSuggest controls can now
        work inside a templated control. This is possible by setting the CallbackType=ProcessPage.
        This setting causes the callback to process the entire page lifecycle, short-circuiting
        just before render. The default callback type (Simple) short-circuits the callback
        at Page Init.
    </p>
</asp:Content>
