<%@ Page Language="vb" AutoEventWireup="false" CodeFile="TreeCheckBoxMode.aspx.vb" Inherits="TreeCheckBoxMode" MasterPageFile="~/MasterPage.master"%>
<%@ Register TagPrefix="DNN" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke.WebControls" %>
<asp:content id="header" contentplaceholderid="HeaderPlaceHolder" runat="Server">
		<link href="TreeCheckBoxMode.aspx.css" type="text/css" rel="stylesheet"></link>
</asp:content>
<asp:content id="Content1" contentplaceholderid="ContentPlaceHolder1" runat="Server">
    <p class="sampledescription">
        Probably the most asked for feature for the DNNTree control is the ability to have only a single item checked, or have the parent item
        control the defaults of its children.  Version 2 of the DNNTree has added CheckBoxMode property.  The following 3 modes are supported 
        MultiSelect (default), MultiSelectChildren, and SingleSelect.  SingleSelect only allows one item to be selected.  
        MultiSelectChildren will automatically select/deselect child nodes recursively when parent is selected    
    </p>
	CheckBoxMode:  
	<asp:DropDownList ID="ddlCheckBoxMode" runat="server" AutoPostBack="true">
	    <asp:ListItem Value="1" Text="MultiSelectChildren" />
	    <asp:ListItem Value="0" Text="MultiSelect" />
	    <asp:ListItem Value="2" Text="SingleSelect" />
	</asp:DropDownList>
	<br />
	<div class="treecontainer">
	    <DNN:DNNTree id="MyDNNTree" runat="server"  SystemImagesPath="~/images/" CheckBoxes="true"
		    DefaultNodeCssClassSelected="treeNodeSelected" ExpandedNodeImage="~/Images/ElementMinus.jpg" CollapsedNodeImage="~/Images/ElementPlus.jpg"
		    DefaultNodeCssClassOver="treeNodeHover" DefaultIconCssClass="treeNodeIcon"  
		    IndentWidth="20" ExpandCollapseImageWidth="9"></DNN:DNNTree>
	</div>
</asp:content>
