'
' DotNetNuke - http://www.dotnetnuke.com
' Copyright (c) 2002-2006
' by Perpetual Motion Interactive Systems Inc. ( http://www.perpetualmotion.ca )
'
' Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
' documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
' the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
' to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in all copies or substantial portions 
' of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
' DEALINGS IN THE SOFTWARE.
'

Imports System
Imports DotNetNuke.UI.WebControls
Imports System.ComponentModel
Imports System.ComponentModel.Design
Imports System.Text
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.Design
Imports System.IO


Namespace DotNetNuke.UI.Design.WebControls
	Public Class DNNToolBarComponentDesigner : Inherits ControlDesigner
		''' -----------------------------------------------------------------------------
		''' <summary>
		''' This class allows us to render the design time mode with custom HTML
		''' </summary>
		''' <remarks>
		''' </remarks>
		''' <history>
		''' 	[Jon Henning]	9/20/2006	Commented
		''' </history>
		''' -----------------------------------------------------------------------------
		Public Overrides Function GetDesignTimeHtml() As String
			Dim strText As String
			Dim objTBC As DNNToolBarComponent = DirectCast(MyBase.Component, DNNToolBarComponent)
			Dim sw As New StringWriter
			Dim tw As New HtmlTextWriter(sw)
			Dim objPanel As Panel = New Panel
			Dim objLabel As Label
			Dim objPanelTB As Label
			For Each objToolbar As DNNToolBar In objTBC.Toolbars
				objPanelTB = New Label
				'objPanelTB.Text = "[" & objToolbar.Target & " toolbar]"
				objPanelTB.CssClass = objToolbar.CssClass
				For Each objBtn As DNNToolBarButton In objToolbar.Buttons
					objLabel = New Label
					objLabel.CssClass = objBtn.CssClass
					If Len(objBtn.Text) > 0 Then
						objLabel.Text = objBtn.Text
					End If
					objPanelTB.Controls.Add(objLabel)
				Next
				objPanelTB.Style.Add("position", "")
				objPanelTB.Style.Add("top", "0px")
				objPanelTB.Style.Add("left", "0px")

				objPanel.Controls.Add(objPanelTB)
			Next
			objPanel.RenderControl(tw)
			Return sw.ToString()
			Return strText

		End Function

	End Class
End Namespace
