<%@ Page Language="vb" AutoEventWireup="false" CodeFile="DNNMenu.aspx.vb" Inherits="DNNMenu" MasterPageFile="~/MasterPage.master" %>
<%@ Register TagPrefix="DNN" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke.WebControls" %>
<asp:content id="header" contentplaceholderid="HeaderPlaceHolder" runat="Server">
    <asp:PlaceHolder ID="phCss" runat="server" />
    <script language="javascript" src="js/common.js"></script>
	<script language="javascript">
	    var m_sNS = '<%=txtStatus.NamingContainer.ClientID%>';
	</script>
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">

    <table class="sectiontable">
        <tbody>
            <tr>
                <th>
                    DNNMenu</th>
                <th>
                    Details</th>
            </tr>
            <tr>
                <td valign="top" class="treecontainer" nowrap>
                    <div style="width: 250px; height: 600px">
                        <DNN:DNNMenu ID="MyDNNMenu" runat="server" CallbackStatusFunction="callbackStatus"
                            MenuScriptPath="js/" DefaultNodeCssClassSelected="SelClass" DefaultNodeCssClassOver="HoverClass"
                            DefaultNodeCssClass="NodeDefault" DefaultChildNodeCssClass="ChildNodeDefault"
                            RootArrowImage="images/breadcrumb.gif" ChildArrowImage="images/breadcrumb.gif"
                            MenuBarCssClass="MenuBarClass" MenuCssClass="MenuClass" DefaultIconCssClass="NodeIconDefault">
                        </DNN:DNNMenu>
                    </div>
                </td>
                <td valign="top">
                    <table class="sectiontable">
                        <tbody>
                            <tr>
                                <td>
                                    <asp:Label ID="lblEventDetails" runat="server" Height="200px" Width="100%" BorderWidth="1px"
                                        BorderStyle="Solid"></asp:Label>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <select>
                                        <option selected>Testing IFRAME Trick</option>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    Settings</th>
                            </tr>
                            <tr>
                                <td>
                                    <table class="sectiontable" width="100%">
                                        <tbody>
                                            <tr>
                                                <td>
                                                    Folder:
                                                    <asp:TextBox ID="txtDir" runat="server" Width="100%"></asp:TextBox></td>
                                                <td nowrap>
                                                    <asp:CheckBox ID="chkEnablePostbackState" runat="server" AutoPostBack="True" Text="Enable Postback State"
                                                        Checked="False"></asp:CheckBox></td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    Orientation:<asp:DropDownList ID="ddlOrientation" runat="server" AutoPostBack="True"
                                                        Width="100%">
                                                        <asp:ListItem Value="1" Selected="True">Vertical</asp:ListItem>
                                                        <asp:ListItem Value="0">Horizontal</asp:ListItem>
                                                    </asp:DropDownList></td>
                                                <td nowrap>
                                                    <asp:CheckBox ID="chkPopulateFromClient" runat="server" AutoPostBack="True" Text="Populate From Client" Checked="true">
                                                    </asp:CheckBox></td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    SubMenu Orientation:<asp:DropDownList ID="ddlSubOrientation" runat="server" AutoPostBack="True"
                                                        Width="100%">
                                                        <asp:ListItem Value="1" Selected="True">Vertical</asp:ListItem>
                                                        <asp:ListItem Value="0">Horizontal</asp:ListItem>
                                                    </asp:DropDownList></td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    Mouse Out Delay:
                                                    <asp:TextBox ID="txtMouseOutDelay" runat="server" Width="100%" AutoPostBack="True">1000</asp:TextBox></td>
                                </td>
                                <td nowrap>
                                    <asp:CheckBox ID="chkUseTables" runat="server" AutoPostBack="True" Text="Use Tables"
                                        Checked="True"></asp:CheckBox></td>
                            </tr>
                            <tr>
                                <td>
                                    Mouse In Delay:
                                    <asp:TextBox ID="txtMouseInDelay" runat="server" Width="100%" AutoPostBack="True">250</asp:TextBox>
                                </td>
                                <td nowrap>
                                    <asp:CheckBox ID="chkForceDownLevel" runat="server" AutoPostBack="True" Text="Force Downlevel">
                                    </asp:CheckBox></td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Button ID="btnPostBack" runat="server" Text="Do PostBack"></asp:Button></td>
                                <td>
                                    <asp:CheckBox ID="chkIsCrawler" runat="server" Text="IsCrawler" AutoPostBack="True">
                                    </asp:CheckBox></td>
                            </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
            <tr>
                <th>
                    Status</th>
            </tr>
            <tr>
                <td>
                    <textarea id="txtStatus" runat="server" rows="10" cols="70" name="txtStatus"></textarea>
                </td>
            </tr>
        </tbody>
    </table>
    <iframe id="MyTarget" name="MyTarget" width="100%"></iframe>
</asp:Content>
