<%@ Page Language="VB" MasterPageFile="~/MasterPage.master" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
	<p>
		The primary purpose of the DotNetNuke WebControls project is to allow developers 
		to utilize feature-rich controls in their applications without the associated 
		cost or distribution restrictions associated with commercial controls. All 
		controls utilize the ClientAPI, and therefore support a rich client side object 
		model, work cross-browser, and utilize AJAX functionality. 			
	</p>
	<table class="ControlDesc" >
		<tr>
			<td>
				<a href="DNNTree.aspx"><img border="0" src="images/DNNTreeView128.gif" alt="DNN TreeView"/></a>
			</td>
			<td>
				The <a href="DNNTree.aspx">DotNetNuke TreeView</a> control is an open-source 
				ASP.NET WebControl that has a rich client-side object model and supports 
				advanced featuresets like populate on demand and keyboard navigation.
			</td>
		</tr>
		<tr>
			<td>
				<a href="DNNMenu.aspx"><img border="0" src="images/DNNMenu128.gif" alt="DNN Menu"/></a>
			</td>
			<td>
				The <a href="DNNMenu.aspx">DotNetNuke Menu</a> control is an open-source 
				ASP.NET WebControl that has a rich client-side object model and supports 
				advanced featuresets like populate on demand and keyboard navigation (soon).
			</td>
		</tr>
		<tr>
			<td>
				<a href="DNNLabelEdit.aspx"><img border="0" src="images/DNNLabelEdit128.gif" alt="DNN LabelEdit"/></a>
			</td>
			<td>
				The <a href="DNNLabelEdit.aspx">DotNetNuke Label Edit</a> control is an 
				open-source ASP.NET WebControl that allows any label to be editable on the 
				client where it uses a client-callback to persist the changes. Simply specify a 
				client-side event like onclick to allow the user to edit. It supports RichText 
				and MultiLine editing.
			</td>
		</tr>
		<tr>
			<td>
				<a href="DNNTextSuggest.aspx"><img border="0" src="images/DNNTextSuggest128.gif" alt="DNN TextSuggest"/></a>
			</td>
			<td>
				The <a href="DNNTextSuggest.aspx">DotNetNuke Text Suggest</a> control is an 
				open-source ASP.NET WebControl that allows any textbox to suggest the results 
				the user is looking for by dynamically populating a menu of matched items.
			</td>
		</tr>
		<tr>
			<td>
				<a href="DNNTabStrip.aspx"><img border="0" src="images/DNNTabStrip128.gif" alt="DNN TabStrip" /></a>
			</td>
			<td>
				The <a href="DNNTabStrip.aspx">DotNetNuke Tab Strip</a> control is an 
				open-source ASP.NET WebControl that allows a page to be displayed in a tabular 
				manner.  It supports 3 rendering modes, including AJAX on-demand loading to allow
				for optimal performance.
			</td>
		</tr>
		<tr>
			<td>
				<a href="DNNToolBar.aspx"><img border="0" src="images/DNNToolBar128.gif" alt="DNN ToolBar" /></a>
			</td>
			<td>
				The <a href="DNNToolBar.aspx">DotNetNuke ToolBar</a> control is an 
				open-source ASP.NET WebControl that allows a toolbar to be attached to any 
				control.
			</td>
		</tr>
	</table>

</asp:Content>

