<%@ Register TagPrefix="DNN" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke.WebControls" %>
<%@ Page Language="vb" AutoEventWireup="false" CodeFile="ClientEvents.aspx.vb" Inherits="ClientEvents" MasterPageFile="~/MasterPage.master"%>
<asp:content id="header" contentplaceholderid="HeaderPlaceHolder" runat="Server">
    <link href="../css/tabstrip.css" type="text/css" rel="stylesheet" />
    <link href="../css/menu.css" type="text/css" rel="stylesheet" />
    <link href="ClientEvents.aspx.css" type="text/css" rel="stylesheet" />
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <br />
    <p class="sampledescription">
    This sample shows how each control exposes events.  Simpy click on a control's tab, then click on the
    event(s) you wish to sync, then interact with the control to see the events fire.
    </p>
    <br />
        <dnn:DNNTabStrip ID="tsControls" runat="server" TabRenderMode="All" TabAlignment="left" BehaviorID="mainTabStrip"
            DefaultContainerCssClass="tabcontainer" CssTabContainer="tablabelcontainer_v" CssContentContainer="tabcontentcontainer_v"
            DefaultLabel-CssClass="tablabel tablabel_v" DefaultLabel-CssClassHover="tablabel tablabelhover tablabel_v" DefaultLabel-CssClassSelected="tablabel tablabelselected tablabel_v"        
            SelectedIndexChangedFunction="tsControls_SelectedIndexChanged">
            <dnn:DNNTab Label-Text="DNNMenu" ID="tabMenu" runat="server">
                <DNN:DNNMenu id="DNNMenu" BehaviorID="DNNMenu" runat="server" SystemImagesPath="~/Images/"  PopulateNodesFromClient="true"
                    DefaultNodeCssClassOver="menuitemhover" DefaultNodeCssClass="menuitem" MenuBarCssClass="menubar" MenuCssClass="submenu" DefaultIconCssClass="menuicon" DefaultChildNodeCssClass="menuitem menuitemchild" 
	                rootarrowimage="~/images/icon_arrow_right-sm.gif" childarrowimage="~/images/icon_arrow_right-sm.gif" 
	                Animation-AnimationType="Slide" Animation-EasingDirection="Out" Animation-EasingType="Expo" />                
            </dnn:DNNTab>
            <dnn:DNNTab Label-Text="DNNTree" ID="tabTree" runat="server">
                <DNN:DNNTree id="DNNTree" BehaviorID="DNNTree" runat="server" SystemImagesPath="~/Images/" PopulateNodesFromClient="true" 
									DefaultNodeCssClassSelected="SelClass" ExpandedNodeImage="~/Images/ElementMinus.jpg" CollapsedNodeImage="~/Images/ElementPlus.jpg"  
									DefaultNodeCssClassOver="HoverClass" DefaultNodeCssClass="NodeDefault" DefaultChildNodeCssClass="ChildNodeDefault"
									DefaultIconCssClass="NodeIconDefault" IndentWidth="15" ExpandCollapseImageWidth="9"
									/>                
            </dnn:DNNTab>
            <dnn:DNNTab Label-Text="DNNLabelEdit" ID="tabLabelEdit" runat="server">
                <DNN:DNNLabelEdit ID="DNNLabelEdit" runat="server" BehaviorID="DNNLabelEdit" 
                    CssClass="label" LabelEditCssClass="labeledit" WorkCssClass="labeleditwork" MouseOverCssClass="labelhover">
							Click To Edit
                </DNN:DNNLabelEdit>
            </dnn:DNNTab>
            <dnn:DNNTab Label-Text="DNNTabStrip" ID="tabTabStrip" runat="server">
                    <DNN:DNNTabStrip ID="MyDNNTabStrip" runat="server" BehaviorID="DNNTabStrip" 
                        DefaultContainerCssClass="tabcontainer2" DefaultLabel-CssClassHover="tablabel tablabelhover" DefaultLabel-CssClassSelected="tablabel tablabelselected" DefaultLabel-CssClass="tablabel">
                        <DNN:DNNTab ID="tab1" runat="server" Label-Text="Tab 1">
                              Sample data.
                        </DNN:DNNTab>
                        <DNN:DNNTab ID="tab2" runat="server" Label-Text="Tab 2" TabRenderMode="CallBack">
                              More Sample Data. From CallBack
                        </DNN:DNNTab>
                        <DNN:DNNTab ID="tab3" runat="server" Label-Text="Tab 3">
                              Sample data number 3.
                        </DNN:DNNTab>
                    </DNN:DNNTabStrip>            
            </dnn:DNNTab>
            <dnn:DNNTab Label-Text="DNNTextSuggest" ID="tabTextSuggest" runat="server">
                <DNN:DNNTextSuggest ID="DNNTextSuggest" BehaviorID="DNNTextSuggest" runat="server" 
                    DefaultNodeCssClassSelected="SelClass" DefaultNodeCssClassOver="HoverClass" DefaultNodeCssClass="NodeDefault" TextSuggestCssClass="samplemenuclass" />            
            </dnn:DNNTab>
            <dnn:DNNTab Label-Text="DNNToolBar" ID="tabToolBar" runat="server">
                <asp:Label ID="lblToolBar" runat="server" text="Hover to show toolbar" />
                <DNN:DNNToolBar ID="DNNToolBar" BehaviorID="DNNToolBar" runat="server" 
                    CssClass="toolbar" DefaultButtonCssClass="toolbarbuttontext">
                    <DNN:DNNToolBarButton Text="My Action" ID="tbMyAction" ControlAction="MyAction" Key="MyAction" runat="server"/>
                    <DNN:DNNToolBarButton JSFunction="alert('test javascript')" Text="js" ID="tbJs" ControlAction="js" runat="server" Key="MyJs" />
                </DNN:DNNToolBar>
            </dnn:DNNTab>
        </dnn:DNNTabStrip>
        <br/>
        <div class="eventcontainer">
            <div id="divEvents" class="eventlist"></div>
            <pre id="preDefinition" class="eventdefinition" ></pre>
        </div>
        <br />
        Output:<br />
        <textarea id="txtOutput" rows="10" cols="100"></textarea>        
</asp:Content>
