<%@ Register TagPrefix="DNN" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke.WebControls" %>
<%@ Page Language="VB" AutoEventWireup="false" CodeFile="TabStripRendering.aspx.vb" Inherits="TabStripRendering" EnableEventValidation="false" MasterPageFile="~/MasterPage.master" ValidateRequest="false" %>
<asp:content id="header" contentplaceholderid="HeaderPlaceHolder" runat="Server">
    <link href="TabStripRendering.aspx.css" type="text/css" rel="stylesheet" />
    <script src="TabStripRendering.aspx.js" type="text/javascript"></script>
	<script language="javascript">
	    var m_sNS = '<%=MyDNNTabStrip.NamingContainer.ClientID%>';
	</script>
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <br />
    <br />
    <p class="sampledescription">
        This sample demonstrates how choosing different rendering modes for the tabstrip will affect 
        the payload and processing that occurs.  Clicking the links below show each rendering mode.
        Hovering over each of the star ratings with your mouse will produce a detailed tooltip on why
        each rating has its value. For a detailed discussion behind this sample see 
        <a href="http://www.dotnetnuke.com/LinkClick.aspx?fileticket=TnzfKgH4rts%3d&tabid=874&mid=2653">this document.</a>
    </p>


<br />
<br />


    <asp:HyperLink ID="lnkAll" NavigateUrl="TabStripRendering.aspx?id=100&mode=0" Text="Load All Tabs On Client Sample"
        runat="server" />&nbsp;&nbsp;
    <asp:HyperLink ID="lnkPostback" NavigateUrl="TabStripRendering.aspx?id=100&mode=1"
        Text="Load Tabs Through Postback" runat="server" />&nbsp;&nbsp;
    <asp:HyperLink ID="lnkCallback" NavigateUrl="TabStripRendering.aspx?id=100&mode=2"
        Text="Load Tabs Through Callback" runat="server" />&nbsp;&nbsp;
    <asp:HyperLink ID="lnkPartialRendering" NavigateUrl="TabStripRendering.aspx?id=100&mode=3"
        Text="Load Tabs Through Partial Rendering" runat="server" />
    <hr />
    <table class="ratingstable" cellspacing="0" cellpadding="0">
        <tr class="ratingstableheader">
            <td>
                Stage</td>
            <td>
                Rating</td>
        </tr>
        <tr class="ratingstablealtrow">
            <td>
                <asp:Label runat="server" ID="lblInitialRequestProcessing" Text="Initial Request - Server Processing"
                    ToolTip="This stage measures the amount of work necessary on the server side in order to process the initial request." />
            </td>
            <td>
                <asp:Image ID="imgInitialRequestProcessing" runat="server" ImageUrl="../images/1stars.gif" />
            </td>
        </tr>
        <tr class="ratingstablerow">
            <td>
                <asp:Label runat="server" ID="lblInitialRequestPayload" Text="Initial Request - Payload"
                    ToolTip="This stage measures the size of the payload sent down to the client on the initial request." />
            </td>
            <td>
                <asp:Image ID="imgInitalRequestPayload" runat="server" ImageUrl="../images/1stars.gif" />
            </td>
        </tr>
        <tr class="ratingstablealtrow">
            <td>
                <asp:Label runat="server" ID="lblTabClickedRequest" Text="Tab Clicked - Request"
                    ToolTip="This stage measures the payload size from the client request to the server." />
            </td>
            <td>
                <asp:Image ID="imgTabRequest" runat="server" ImageUrl="../images/2stars.gif" />
            </td>
        </tr>
        <tr class="ratingstablerow">
            <td>
                <asp:Label runat="server" ID="lblTabRequestProcessing" Text="Tab Clicked - Server Processing"
                    ToolTip="This stage measures the amount of server-side processing necessary to facilitate the request for the new tab." />
            </td>
            <td>
                <asp:Image ID="imgTabRequestProcessing" runat="server" ImageUrl="../images/3stars.gif" />
            </td>
        </tr>
        <tr class="ratingstablealtrow">
            <td>
                <asp:Label runat="server" ID="lblTabPayload" Text="Tab Clicked - Payload" ToolTip="This stage measures the size of the payload sent down to the client that requested a new tab." />
            </td>
            <td>
                <asp:Image ID="imgTabPayload" runat="server" ImageUrl="../images/4stars.gif" />
            </td>
        </tr>
    </table>
    <hr />
    <table>
        <tr>
            <td colspan="2" class="header">
                <asp:Label ID="lblTitle" runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="lblPageName" runat="server" Text="Page Name" /></td>
            <td>
                <asp:TextBox ID="txtPageName" runat="server" Text="Default Page Name"></asp:TextBox></td>
        </tr>
    </table>
    <hr>
    <table>
        <tr>
            <td>
                <DNN:DNNTabStrip ID="MyDNNTabStrip" SelectedIndex="0" runat="server" DefaultLabel-CssClass="tablabel"
                    DefaultLabel-CssClassSelected="tablabelselected" DefaultLabel-CssClassHover="tablabelhover"
                    DefaultContainerCssClass="tabcontainer" CallbackStatusFunction="statusFunc" TabClickFunction="tabClick"
                    WorkImage="../images/dnnanim.gif">
                    <DNN:DNNTab Label-Text="General" Label-ImageUrl="../images/object.gif" ID="tabGeneral"
                        runat="server">
                        <table>
                            <tr>
                                <td>
                                    <asp:Label runat="server" ID="lblName">Name</asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox runat="server" ID="txtName"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label runat="server" ID="lblDesc">Description</asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox runat="server" Width="300px" ID="txtDesc"></asp:TextBox>
                                </td>
                            </tr>
                        </table>
                    </DNN:DNNTab>
                    <DNN:DNNTab Label-Text="Advanced" Label-ImageUrl="../images/method.gif" ID="tabAdvanced"
                        runat="server">
                        <table>
                            <tr>
                                <td>
                                    <asp:Label runat="server" ID="lblFont">Name</asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox runat="server" ID="txtFont">Default</asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label runat="server" ID="lblColor">Color</asp:Label>
                                </td>
                                <td>
                                    <asp:DropDownList runat="server" EnableViewState="False" ID="ddlColor">
                                    </asp:DropDownList>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label runat="server" ID="lblLocation">Location</asp:Label>
                                </td>
                                <td>
                                    <asp:DropDownList runat="server" EnableViewState="False" ID="ddlLocation" DataSource='<%# Me.Locations %>'>
                                    </asp:DropDownList>
                                </td>
                            </tr>
                        </table>
                    </DNN:DNNTab>
                </DNN:DNNTabStrip>
            </td>
        </tr>
        <tr>
            <td align="right">
                <asp:Button ID="btnNew" runat="server" Text="New" Width="60" />
                <asp:Button ID="btnSave" runat="server" Text="Save" Width="60" />
            </td>
        </tr>
    </table>
    <table>
        <tr>
            <td>
                Server-side Methods Invoked
                <textarea id="txtMethods" runat="server" rows="10" cols="52" name="txtMethods"></textarea>
                Debug:
                <textarea id="txtDebug" runat="server" rows="10" cols="52" name="txtDebug"></textarea>
            </td>
            <td>
                Request:
                <textarea id="txtRequest" runat="server" rows="10" cols="60" name="txtRequest"></textarea>
                Response:
                <textarea id="txtResponse" runat="server" rows="10" cols="60" name="txtResponse"></textarea>
            </td>
        </tr>
    </table>
</asp:Content>
